package com.prolog.eis.service.carry;


import com.prolog.eis.model.carry.WmsCarryTaskHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: wms下发搬运任务-服务接口类
 * @date 2023-04-23 17:30
 */
public interface WmsCarryTaskHisService {

    /**
     * 新增数据
     *
     * @param wmsCarryTaskHis wms下发搬运任务
     */
    long save(WmsCarryTaskHis wmsCarryTaskHis);

    /**
     * 新增批量数据
     *
     * @param wmsCarryTaskHisList wms下发搬运任务
     */
    long saveBatch(List<WmsCarryTaskHis> wmsCarryTaskHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<WmsCarryTaskHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    WmsCarryTaskHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<WmsCarryTaskHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    WmsCarryTaskHis findById(int id);

    /**
     * 修改数据
     *
     * @param wmsCarryTaskHis 实例对象
     */
    long update(WmsCarryTaskHis wmsCarryTaskHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
